Subject: [netmod] [Netmod] Query on YANG RPC statement

From: Rohit pobbathi <[email-masked]>
Date: Fri, 29 Jan 2016 11:46:44 +0000

Hi,

I have a query regarding RFC 6020 (YANG 1.0) section 7.13 rpc statement.

The "rpc" statement may contain optional "input" and/or "output" substatements.

Whether a PARAMETER can appear in both  "input" and "output" ?
i.e. same PARAMETER exist in input & output of the rpc.

Is there any restriction about this point ?

Rgds,
Rohit Pobbathi

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 29 Jan 2016 12:50:40 +0100 (CET)

> i.e. same PARAMETER exist in input & output of the rpc.

Yes, this is possible.

/martin